## lava-server 2016.12

=== doc/v2/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -n -j 4
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/LavaDispatcher.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/LavaDispatcher.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/LavaDispatcher"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/LavaDispatcher"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
lava-server (2016.12-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Tue, 03 Jan 2017 12:44:31 +0000

lava-server (2016.12-1) unstable; urgency=medium

  * New production release
    541ba7b0a Enable ssh secondary connections on juno-uboot
    2d6bb2fcc Handle errors which cause invalid description data
    b19b9648a Fix template_mismatch check to use extends
    d7f71eae3 Update ipxe x86 nfs to use base_ip_args
    fa6b8b3ab Add a note on release-notes on lava-announce
    d46d6e4fd Protect against invalid parameter submissions
    431fd2fc0 Allow pipeline jobs to be used with XML-RPC job_output
    f3bf855ba Add Copy to clipboard functionality to MultiNode
    86950e985 LAVA-745 - expose device_path for all types
    083d67d54 Add device-type template for arduino101
    fd99c576e Fix UI submission error.
    708a38a23 Add SSH support for overdrive
    e838de3ba Update Linaro lab links to actual site
    d8e127b74 Allow flash_cmds_order to be set
    92eefe4aa Adding extra boot commands for secondary media on Juno
    8f860a1e9 Keep result blocks on a single line with MultiNode
    3b1d6654e LAVA-499 - Device type template for dragonboard-410c
    5c46ea4ab Provide a default fastboot flash commands order.
    a61ab2501 Download results XMLRPC support.
    347fb3fd3 Allow forwardng messages to additional sockets
    4d0753c3a Allow validate_pipeline devices to filter by device type name.
    a859e5ede publisher: improve logging and fix logfile owner
    9f9bd71b9 Correctly expose TestSet data in results
    c6f9b1df8 Handle decimal conversion error in test case
    1769d8b6b Expand hints on new device-types
    eec1ca1d0 master: expect a protocol version with HELLO messages
    cd8d109f7 master: add the job id to the log messages
    a0ac2d66a Add absolute_url to job_details API.
    951ab9f68 master: device configuration is empty for secondary media
    c0575503d master: improve error reporting when reading env file
    f551daa49 Add notes on unattended upgrades
    1d2e25d1d Allow override of nfsroot options, not arguments
    edaad5419 Update docs to reflect reality of from: support
    09503a482 Manually revert d31a8462: errors are already saved
    3516b856d add some notes on packages needed for LXC usage
    b5ee513bb Rename 'usb-showup' to 'usb-device-wait'
    406832582 Drop misleading hostname from device metadata
    6a6ee6f4d Handle change to git.linaro.org frontend
    d85f99e1b Fix crash when description.yaml is empty
    080499d18 Remove references to wsgi
    267d22302 Paste job definition to clipboard as text and not as HTML.
    ef09a9698 add a link to the device tag glossary entry
    08bd011a4 Update aliases migration for review change
    7010775b6 Move metadata extra content to files
    95ed9a3ba Expand notes on debugging test jobs and test cases
    6d772bb0d Update for pycodestyle pep8 failures
    dd58a1182 LAVA-798 - lookup device-types by alias
    104feb593 Enable LXC for existing device-types.
    376a80021 LAVA-797 - Document changing USB_SHOW_UP_TIMEOUT in job
    3e8dbfeca all_devices() api call to do one big query instead of
     many small ones.
    d27f7a4d5 Fix for Debian reproducible builds.
    ac8bb8e2a Fix bug #2596 - No result collected for multinode jobs
    7b3adad0a All jobs will have a definition, so show it by default.
    1e6992f6b Set boot_character_delay in x86 template
    5cc0a4746 Extend x86 unit test to check character_delay support
    ad4f8780f Combine interfaces block for juno and vland
    bb2ecf716 Allow changing the timeout for u-boot-interrupt
    19de59978 Add stm32-carbon jinja2

 -- Neil Williams <codehelp@debian.org>  Thu, 22 Dec 2016 11:50:17 +0000

=== debian/control ===
Source: lava-server
Section: net
Priority: optional
Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
 Neil Williams <codehelp@debian.org>,
 Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
 Senthil Kumaran S (stylesen) <stylesen@gmail.com>
Build-Depends: debhelper (>= 8.0.0), dh-python,
 node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
 libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
 python | python-all | python-dev | python-all-dev,
 python-sphinx (>= 1.4), python-sphinx-bootstrap-theme,
 po-debconf, python-mocker, python-setuptools (>= 3), python-yaml
X-Python-Version: 2.7
Testsuite: autopkgtest
Standards-Version: 3.9.8
Homepage: http://www.linaro.org/projects/test-validation/
Vcs-Git: https://github.com/Linaro/pkg-lava-server.git
Vcs-Browser: https://github.com/Linaro/pkg-lava-server

Package: lava-server
Architecture: all
Provides: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
Conflicts: lava-scheduler, lava-dashboard, linaro-django-xmlrpc,
 python-django-hijack (<= 1.0.10-1), python-django (<< 1.8),
 python-django-auth-openid
Replaces: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
Depends: apache2, adduser, gunicorn, iproute2, lsb-base (>= 4),
 python-tz, python-daemon, python-dateutil,
 python-django (>= 1.8), python-django-auth-ldap, python-setuptools,
 libjs-excanvas, libjs-jquery-cookie, libjs-jquery, libjs-jquery-ui,
 libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
 postgresql, postgresql-client, postgresql-common,
 lava-dispatcher (>= 2016.12),
 ${python:Depends}, ${misc:Depends}
Recommends: fuse, ntp, lava-coordinator, lava-server-doc
Suggests: python-django-hijack, python-django-debug-toolbar
Description: Linaro Automated Validation Architecture server
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing. Extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package provides the Apache and WSGI configuration and LAVA
 support files to run the validation server on the local Apache
 instance as a lava-server virtual host as well as the scheduler
 and dispatcher.
 .
 This package can be configured as the master scheduler or as a
 remote worker, although design limitations mean that it always
 installs a database (unused on a remote worker).

Package: lava
Architecture: all
Section: metapackages
Depends: lava-server (= ${binary:Version}), lava-server-doc,
 lava-dispatcher, lava-coordinator, lava-dev, lava-tool,
 lavapdu-client, ntp | ntpdate, tftpd-hpa,
 openssh-client, lxc (>= 1:2.0.6), rsync, bridge-utils, ${misc:Depends}
Recommends: lavapdu-daemon, linaro-image-tools, schroot
Suggests: vmdebootstrap
Description: Linaro Automated Validation Architecture metapackage
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This metapackage brings in all LAVA components on a single
 machine. Some suggested packages may not be available for all
 architectures.

Package: lava-dev
Architecture: all
Section: devel
Depends: build-essential, ca-certificates, devscripts, dpkg-dev,
 debhelper (>= 8.0.0), fakeroot, git, libdistro-info-perl,
 node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
 libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
 python | python-all | python-dev | python-all-dev, pep8 | python-pep8,
 python-guestfs, python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
 python-mocker, python-nose, python-netifaces, python-setuptools,
 python-sphinx-bootstrap-theme, python-zmq, python-yaml, python-voluptuous,
 docbook-xsl, xsltproc, python-mock,
 ${python:Depends}, ${misc:Depends}
Recommends: sbuild, python-django-extensions, python-pydot,
 django-testscenarios
Description: Linaro Automated Validation Architecture developer support
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 .
 This package provides a helper script to build LAVA packages
 from local git working copies and support for running the
 LAVA unit tests locally.

Package: lava-server-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Conflicts: linaro-dashboard-bundle-doc
Provides: linaro-dashboard-bundle-doc
Replaces: linaro-dashboard-bundle-doc
Description: Linaro Automated Validation Architecture documentation
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package contains an offline copy of the LAVA
 Manual which is also available on each instance running LAVA
 server.
 .
  - an overview of LAVA
  - help on installing and configuring LAVA
  - test developer guide to writing LAVA tests
  - use cases and examples
  - administrator guide for managing a LAVA lab
  - developer guide

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

export LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

# This has to be exported to make some magic below work.
export DH_OPTIONS

# only python2.7 supported currently
PYTHONDIR=/usr/lib/python2.7/dist-packages/

PYTHON2:=$(shell pyversions -r)
install_dir=$(call py_libdir, $(PYTHON2))

%:
	dh $@ --with sphinxdoc,python2

override_dh_auto_build:
	dh_auto_build
	cp etc/lava-server.init debian/
	cp etc/lava-server-gunicorn.init debian/
	cp etc/lava-publisher.init debian/
	[ ! -f etc/lava-master.init ] || cp etc/lava-master.init debian/
	python setup.py build
	make -C doc/ html SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
	make -C doc/v1/ html SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
	make -C doc/v2/ html SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
	make -C man/ man SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""

override_dh_auto_install:
	dh_auto_install
	python setup.py install --root=$(CURDIR)/debian/lava-server/ --install-layout=deb
	# dispatcher-master zeromq support, lava-server.init handled by auto_install.
	dh_installinit --name lava-master
	dh_installinit --name lava-server-gunicorn
	dh_installinit --name lava-publisher
	dh_installman -plava-server man/_build/man/lava-server.1
	dh_installman -plava-server man/_build/man/lava-daemon.1
	dh_installman -plava-server man/_build/man/lava-master.1
	[ -f debian/lava-server/usr/bin/lava-server ] || cp debian/lava-server/$(PYTHONDIR)/lava_server/manage.py debian/lava-server/usr/bin/lava-server; chmod a+x debian/lava-server/usr/bin/lava-server
	# move ssfs script to /usr/sbin
	mkdir debian/lava-server/usr/sbin/
	mv debian/lava-server/usr/bin/lava-mount-masterfs debian/lava-server/usr/sbin/
	# skip unwanted licence file specified in copyright
	$(RM) debian/lava-server/$(PYTHONDIR)/google_analytics/LICENSE
	# handle embedded JS
	python ./share/javascript.py -f ./share/javascript.yaml --remove

override_dh_compress:
	dh_compress -X.yaml

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r lava_server.egg-info doc/_build dist/ .idea/ jquery.cookie.js
	$(RM) -r versiontools-*.egg/
	[ ! -f doc/Makefile ] || make -C doc/ clean
	[ ! -f doc/v1/Makefile ] || make -C doc/v1/ clean
	[ ! -f doc/v2/Makefile ] || make -C doc/v2/ clean
	[ ! -f man/Makefile ] || make -C man/ clean
	debconf-updatepo

# get upstream version for get-orig-source target
VERSION:= $(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' | sed -e 's/\-.*$$//')

sdist-orig:
	python setup.py sdist
	mv -v dist/lava-server-$(VERSION).tar.gz ../lava-server_$(VERSION).orig.tar.gz
	$(RM) -r versiontools-*.egg/

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# https://git.linaro.org/lava/lava-dispatcher.git/snapshot/lava-server-2016.11.tar.gz

https://git.linaro.org/lava/lava-server.git/refs /lava/lava-server.git/snapshot/lava-server-(\d+.\d+.\d?)\d*.*.tar.gz

## lava-server 2017.7

=== debian/changelog ===
lava-server (2017.7-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild from buster for jessie-backports-sloppy

 -- Neil Williams <codehelp@debian.org>  Fri, 14 Jul 2017 11:37:47 +0100

lava-server (2017.7-1) unstable; urgency=medium

  * New production release
    a9390fc9a Remove debug hacking session from doc examples
    13edd8f12 Skip certain V1 unit tests on django 1.11 and later
    0577447fc Update query script for python3 and to output CSV
    0b3b0beb7 device-type: addresses fix for armada-3720-espressobin
    ed1e402e5 device-type: addresses fix for armada-3720-db
    c382a5aa0 device-type: fix at91sam9m10g45ek
    54a3b7a46 Apply change for distinct test case links to all results
    1824a18fb Adding uefi-menu tftp method
    71aac817e LAVA-363 - set the scheme in api/help from settings
    2c840debc base-uboot.jinja2: don't load DTB if append_dtb is set
    1b13a0e3e Fix extra keyword in api/help view
    2882529bc Provide an example script for using queries
    7f4cfe569 logs: continue to poll the log when canceling
    25eaab176 XMLRPC: add offline_info argument to list endpoint
    38f7570e3 XMLRPC: fix inconsistency between code and doc
    8c134839d LAVA-972 test case should use ID in URL.
    99725606c Remove references to OpenID and Crowd
    95b959602 XMLRPC: add a function to download job definition
    ebf80c266 XMLRPC: fix crash when device.worker_host is None
    b1ec14c89 LAVA-861 separate base-fastboot.jinja2 template
    c4fd79d57 Remove unused file
    7c066195a Remove deprecated django configuration
    520ac8778 XMLRPC: remove unused function
    3b8ab7d61 XMLRPC: do not raise an error when canceling twice
    cce1bdea6 XMLRPC: allow forcing a health check for a device
    218408db6 Handle the new log level called "input"
    b49d9fb96 Adding uefi parameters for vexpress
    4a52ba861 Allow overriding django system check values from
               settings as documented
    d2067a5f3 LAVA-987 fix log parsing
    bbc39489c results_app: API: add the 'run_query' function
    8746edb6b results_app: API: add the 'make_custom_query' function
    4fd429ac2 Add note on apache2 for V2-only workers
    641e61dcb Explain the handling of measurements and Decimal
    bf8f53bf5 Count going offline as busy in overview table
    06febd188 Expand on essential roles, results and sync
    815d41b52 Tighten advice on prompt strings in docs
    351f6fe41 Add documentation for login_commands in auto_login
    5a7d4be95 Avoid warning for health checks of retired devices.
    5713f5295 Document transfer_overlay deployment differences
    8f04c6097 Fix typo in multinode api documentation.
    fe2093994 device-types: add meson-gxl-s905x-khadas-vim
    853ee80e3 Move action fields templates to table files.
    12de946eb Allow bare except and override pep8
    dd4faacaf Enforce schema rules for metadata
    352049204 Add missing check for null key|value in metadata
    b77731b31 device-types: rcar-gen3-common: handle bigger kernels
    d2acb94a5 LAVA-983 - Helper for DeviceStateTransition
    b4208116c LAVA-980 - Fix django deployment warnings
    778fd4a8b Fix link to glossary term
    af85e5225 LAVA 931 - documentation.
    212e98a3a LAVA-976 Use the Django system check framework
    e9c7ad477 Adding commands for booting whatever the precanned defaults are
    f78c58811 Added device type for Cavium ThunderX

 -- Neil Williams <codehelp@debian.org>  Thu, 06 Jul 2017 18:21:32 +0100

lava-server (2017.6-1) unstable; urgency=medium

  * New production release
    daf1e2a lava-master: fix init script
    b6b5fe7 Reduce device configuration dynamic connections
    ebf4463 Fix a crash in the migration when the db is empty
    cdfeb12 Fix index out of range exception
    33092ef Adding usb deployment method to vexpress device template
    3257ee2 XML-RPC: remove unused imports
    55dd014 XML-RPC: fix crash when called by anonymous users
    a3d4718 XML-RPC: allow every user to get templates/dict
    ddaf693 Add documentation of feedback support.
    eaae89a Set a default connection timeout for lava-test-shell
    f305e47 publisher: fix umask
    c25686f logrotate: lava-master should be owned by lavaserver
    2da8e74 logs: except more exceptions
    14f5f6c Update docs for changes in 2017.6
    a486d12 Tidy up of debian support docs
    b05712d Preserve original comments when resubmitting
    19bd2db XML-RPC: add an api to manage aliases
    30973a0 Log an error when saving device configuration fails
    763239d Use --arch for fedora LXC example
    8f26102 XML-RPC: add a method to show tag details
    19a69f7 fix location of example test job files
    480a6f6 XML-RPC: add an api for handling jobs
    356667d Update installation docs for Stretch release
    da74ae5 XML-RPC: add a decorator for is_superuser check
    49f370c XML-RPC: add a clean api for device-types and aliases
    c6d503d commands/devices: extend devices command to add tags
    1655dbf Move set commands outside body block
    87b8c01 XML-RPC: add a clean api for workers and tags
    351c16b XML-RPC: add a clean api for devices
    c4dec1f device-types: add bcm2837-rpi-3-b
    9ca0e0d Adding combined vexpress device template
    67f531f Make lava_scheduler_app.api a module
    d3021a3 xmlrpc: add a system.version function
    3ef0157 linaro_django_xmlrpc: remove unused properties
    e994852 Use render shortcut instead of the loader
    e51ca21 linaro_django_xmlrpc: rework the application
    4bbe17c LAVA-959 run lava-master as lavaserver user
    b283288 Fix migrations from Debian Jessie to Stretch and ensure
             smooth upgrade.
    bc25204 LAVA 329 - Add old job URL to metadata when resubmitting a job.
    271723d LAVA-782 - Change error type for incorrect handling of
              custom queries.
    368903e notify: Don't send verbose mails when the job is cancelled
    71c514d Fix broken link in unit test.
    1f48674 LAVA-955 - Remove 'arch' parameter from lxc protocol.


=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
-Uploaders: Antonio Terceiro <terceiro@debian.org>,
- Neil Williams <codehelp@debian.org>,
+Uploaders: Neil Williams <codehelp@debian.org>,
  Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
  Senthil Kumaran S (stylesen) <stylesen@gmail.com>
 Build-Depends: debhelper (>= 8.0.0), dh-python,
@@ -14,7 +13,7 @@
  po-debconf, python-mocker, python-setuptools (>= 3), python-yaml
 X-Python-Version: 2.7
 Testsuite: autopkgtest
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.linaro.org/projects/test-validation/
 Vcs-Git: https://github.com/Linaro/pkg-lava-server.git
 Vcs-Browser: https://github.com/Linaro/pkg-lava-server
@@ -32,7 +31,7 @@
  libjs-excanvas, libjs-jquery-cookie, libjs-jquery, libjs-jquery-ui,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common,
- lava-dispatcher (>= 2016.12),
+ lava-dispatcher (>= 2017.7),
  ${python:Depends}, ${misc:Depends}
 Recommends: fuse, ntp, lava-coordinator, lava-server-doc
 Suggests: python-django-hijack, python-django-debug-toolbar
@@ -58,9 +57,10 @@
 Section: metapackages
 Depends: lava-server (= ${binary:Version}), lava-server-doc,
  lava-dispatcher, lava-coordinator, lava-dev, lava-tool,
- lavapdu-client, ntp | ntpdate, tftpd-hpa,
+ lavapdu-client, ntp | ntpdate, tftpd-hpa, debootstrap (>= 1.0.86~),
  openssh-client, lxc (>= 1:2.0.6), rsync, bridge-utils, ${misc:Depends}
-Recommends: lavapdu-daemon, linaro-image-tools, schroot
+Recommends: lavapdu-daemon, linaro-image-tools, schroot,
+ android-tools-fsutils | img2simg
 Suggests: vmdebootstrap
 Description: Linaro Automated Validation Architecture metapackage
  LAVA is a continuous integration system for deploying operating
@@ -82,10 +82,10 @@
  node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
  python | python-all | python-dev | python-all-dev, pep8 | python-pep8,
- python-guestfs, python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
+ python-guestfs, python-sphinx (>= 1.4) | python3-sphinx (>= 1.4), po-debconf,
  python-mocker, python-nose, python-netifaces, python-setuptools,
- python-sphinx-bootstrap-theme, python-zmq, python-yaml, python-voluptuous,
- docbook-xsl, xsltproc, python-mock,
+ python-sphinx-bootstrap-theme, python-zmq, python-yaml,
+ python-voluptuous (>= 0.8.8), docbook-xsl, xsltproc, python-mock,
  ${python:Depends}, ${misc:Depends}
 Recommends: sbuild, python-django-extensions, python-pydot,
  django-testscenarios

## lava-server 2017.10

=== debian/changelog ===
lava-server (2017.10-1) unstable; urgency=medium

  * New production release
    03fec0ea Fix out of date stretch reference
    2c8a88d8 Include non https in title for security defaults configuration doc.
    56185add Mark required parameters in left over deploy action reference.
    b1de8acf Update instructions for migrating postgres
    2b845967 Fix issues in the documentation build.
    f9e64aa1 Fix SQL request storm when listing jobs
    95b12c01 Fix missing import
    0a63c2f3 Adjust U-Boot load addresses for imx6q-sabrelite to allow
      bigger kernels
    3a4cddf4 LAVA-341 Unicode issues in tables and queries
    5bff2fd5 Mark required parameters in deploy action using an asterisk.
    00b5044a LAVA-1035 Force all Dashboard objects into read-only mode
      for users
    7a006f64 Change load addresses for Jetson TK1 to allow bigger kci kernels
    ca5e6834 Update commands for eMMC boot of OE on X15
    0d17e797 Add docker device-type configuration
    f0c2107c Remove doc references to lava-lxc-device-* commands.
    715c6309 LAVA-771 - Support dragonboard-820c with lxc
    7a4adb03 Fix the hierarchy of md5sum and sha256sum in nbdroot index.
    576661f4 Make clear when to use lxc://
    7c68e21b Document download deploy and explain about lxc:// url scheme.
    8f4d7419 Rewrite fastboot deploy action reference doc.
    11f5c222 archive: do not allow to force hc
    9536450d logger: drop level and action name
    771d0d93 Fix a typo in deploy to name.
    0a2404fa Update command requires an alias argument
    e7a704a1 Add V1 EOL summary to the index page for all docs
    cdaa6376 LAVA-1003 do not lose logging messages
    f09b6beb LAVA-1045 - document the archive setting
    483fb1a7 LAVA-1038 add a settings to archive the instance
    866afbf4 migration: v1 health-check are not used anymore
    896db15b LAVA-1033 remove v1 job wizard
    2eac055b LAVA-1043 fix handling of large log files
    aef7d7b8 Add device-type disco-l475-iot1
    399b9dbc Use the CDumper to export results
    c9dc6a14 LAVA-1032 reject v1 submission at api level
    65394986 Drop lookups to ActionData from testcase export
    80d1a9fa Add support for the NextThing CHIP Pro
    21c8fc52 Only write logs to output.yaml
    01df9ce0 Improve job listing by fetching more data
    436c220e Decrease SQL queries when listing test results
    445b9c66 Add support for reading django settings for limiting
      LDAP group access
    a33b9c9f Only set the job status if lava-run crashed
    581b616f Fix boot action doc for fastboot and lxc boot methods.
    08393dbb Use new logging API
    33a73bb3 device-types: panda: handle bigger kernels
    746fe4c9 Allow override of prompt in device configuration
    5932f9d1 LAVA-1048 Extend X15 to typical U-Boot support
    affaa35d Fix error message in daemonise.py
    e24db160 Fix lambda syntax
    8fb16105 v2: Do not fall back to db for health-checks
    bceecc64 Do not submit new health checks for v1 only device

 -- Neil Williams <codehelp@debian.org>  Wed, 04 Oct 2017 08:54:36 +0100

lava-server (2017.9-1) unstable; urgency=medium

  * New production release
    6d1ff5c5 Improve the docs on lava-test-reference and metadata
    2f11898f LAVA-997 - Invalidate primary connections setup when
       power is configured.
    ccfb3961 b2260: allow setting bootloader_prompt in device config
    4a1b8f5f Prevent mistaken fixup of device reservation
    5093f40c LAVA-1022 - V2 support for IFC6410
    1f18eada LAVA-1021 - Document specifying branch for git
    36513ec3 Change default source code URL after systems change
    da49e558 Remove doc for unimplemented feature test-case-deps.
    61dfd204 Document settings to enable authentication
       in http://localhost
    5cbf5b11 Allow vcs checks to skip monitor test actions
    b85baa75 NBD kernel bootarg fixups
    c089adb7 Add failure comment message via async update on the
       job detail page.
    5ca25620 Improve V1 doc build for Debian reproducibility
    dccd1588 LAVA-998 - Default to shallow clones in overlay
    250f27dd Fix warning of linaro.img not found.
    938b3da1 Fix typos and warnings in deploy to nbd doc.
    90c9ed74 LAVA-1013 improve performance of result export
    0af80d19 LAVA-1008 Group visibility check
    080dd10d LAVA-1007 Prevent NoneType crash in job duration
    b2d90962 Fix typos in manage users which talk about devices
    07e5fa19 Fix reference to smoke test
    59340f70 Expand advice on good commit messages.
    cfae2faa Skip some dashboard tests if django is too new
    68b24fcc Revert "Move action fields templates to table files."
    c9f65507 Add log file argument to dispatcher-master command.
    dabaf74c LAVA-1002 - fix group label editing in query details page.
    7398abd4 CTT-441 - lava-lxc-device-* don't work properly
    f1cb7faf Decrease the number of SQL queries to list the groups
    984f3b02 doc: fix example of zmq_client usage
    f864696d Documentation build error tweaks
    9aeff523 XMLRPC authentication: fix wrong logic
    93572067 Basic integration advice for U-Boot devices
    5b2d39d7 Support PyOCD for KW41Z and remove CMSIS boot method
    3f8c8a93 Fix a typo in persistent container configuration doc.
    d334642c Rename xmlrpc module to api
    9f947433 Add ssh deployment support for secondary connections.
    ce9f0da6 Document how to combine LXC and MultiNode
    e2be8567 Allow documentation to be built with python3
    cc6e9696 Add notes on writing new unit tests
    c40ac0da Document option for device_type qemu to choose host audio handling
    97eac4b6 Update lava-self documentation for change in output
    7e0f6eca Fix PipelineDevice usage after last dispatcher commit
    37d4eba4 Fix a typo - repeated usb_vendor_id parameter in
       device_info example.
    d4a80fc1 Improve the validation message when a role is not found in every
    1a5aec5f Add a seealso for fresh installs of lava-tool
    4707ff98 Check that the Debian package has been installed


=== debian/rules ===
--- 
+++ 
@@ -38,10 +38,10 @@
 	cp etc/lava-publisher.init debian/
 	[ ! -f etc/lava-master.init ] || cp etc/lava-master.init debian/
 	python setup.py build
-	make -C doc/ html SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
-	make -C doc/v1/ html SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
-	make -C doc/v2/ html SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
-	make -C man/ man SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
+	make -C doc/ html SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
+	make -C doc/v1/ html SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
+	make -C doc/v2/ html SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
+	make -C man/ man SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
 
 override_dh_auto_install:
 	dh_auto_install

## lava-server 2017.11

=== debian/changelog ===
lava-server (2017.11-1) unstable; urgency=medium

  * New production release
    a799fc6c Fix links back to the main instance
    5b9656b6 Fix broken plural in header
    b21f8c8f Fix crash in job_section_log
    c9526f01 Document the LOG_SIZE_LIMIT setting in settings.conf
    63b57c94 Remove lava-mount-masterfs
    75b403f4 Remove add_device script
    8ddea823 Add description about the disc space requirement
        for pg_upgradecluster.
    5c9dceb2 Remove TemporaryDevice imports
    9b21ea48 Removed unused Worker functions
    2accb4c3 Matching change to templates for directory change
    1d384c4a Update docs regarding device-dictionary lava-server manage command.
    32472fac Port 77fd10e2 to scheduler.devices.get_dictionary
    114bbfa5 LAVA-1093 - Add a management command to drop all materialized views
    8bc9d83a Update dashboard XML-RPC API help for api_version
    bb090e96 LAVA-552 - add system.api_version support
    77fd10e2 LAVA-1092 support passing a context to device_config
    de7ad3aa Remove dashboard_app views and static files.
    4bc68531 Remove templates from dashboard_app.
    1a618c27 Remove unused functions
    d50deca7 api: limit the number of jobs returned
    59880e14 Fix HTTP 500 on devicetype health history
    a39fecf5 Remove unused resources (css, js and images)
    a32ac3b6 Rename base-bootstrap and content-bootstrap
    7c108de1 job: print lava.job result in case of failure
    b51c419f Remove old templates
    a9139c1f Use bootstrap template
    7915f18f Remove unused resources
    7331901a scheduler.api.jobs.show: add failure_comment
    71233bff Fix print syntax for python3 compatibility
    936d5eca Remove unused tags
    4ebb2a39 Remove unused sources
    21a7eb18 Save more sql queries by caching values
    4d0d867e Remove non pipeline jobs support
    a6648dbd Retain docs on disabling V1 workers
    8eac0d74 Revert "LAVA-950 set the master identity"
    68573b1a Remove V1 dependencies
    a8151559 timing: handle new start/end line format
    26cc3ad0 Remove unnecessary js lib beautify.
    c44009fa Simplify job view
    e1da85d4 Fix loading of description.yaml
    7b41f7ef Add documentation for secondary media writer parameters
    1b4d3dd5 LAVA-1081 migrate instance name to settings
    f3dc1987 Fix up typos from earlier changes
    faa24f59 LAVA-1079 - remove HIDE_V1 and HIDE_V2 doc options
    942b84c3 Remove unused functions and imports
    e61a4831 LAVA-1056 Drop V1 documentation
    126dce0c Fix crash introduced by 42451c9cc
    f0b28214 Remove v1 codebase
    31bb1bf0 Fix notification exception when query is used for data comparison.
    a6cff700 Remove last references to lava_dispatcher v1
    043690d9 Remove references to lava_dispatcher v1
    4c9e493c Remove dashboard_app traces from rest of the codebase.
    c371b8ca drop link to removed page
    1b1b638e LAVA-876 - Return empty data stubs for dashboard API calls.
    919c10c2 Remove links to dashboard_app in the scheduler_app
    1483e9fb Remove leftover from job wizard
    f7a1c976 docker: allow passing extra options
    42451c9c Use all_jobs_with_custom_sort when applicable
    cc4ffd64 Fix broken links in example test job
    0ca5d75c Drop the migration status page.
    b37fe944 Add a device-type config for the rpi-3b in armv7 32bit mode
    9e904a18 Revert "LAVA-876 - Remove access to Dashboard"
    f07e0950 Fix warning regarding naive datetime
    e8348425 Remove more references to dashboard_app
    103a44be LAVA-876 - Remove access to Dashboard
    d33c9c98 LAVA-876 - Remove access to Dashboard
    b6fc46aa Revert "LAVA-1038 add a settings to archive the instance"
    f75a333d Do not run dashboard test anymore
    d9163445 Remove references to v1 jobs
    addb61d9 bug 3268: fix lava-master crash with invalid logs
    febf91b1 Improve advice on api/help
    ac8b7df3 fix pep8 error
    64025cf3 LAVA-1072 test all template connection syntax
    10d5fbe1 Adjust U-Boot load addresses for tegra124 devices
        to allow bigger kernels
    f30ef936 LAVA-1065 - Remove dashboard_app urls server wide.
    096a2f1c LAVA-1049 - Allow for .yml as well as .yaml for healthchecks
    918f0bc7 Fix logic so addldapuser and mergeldapuser work for
        all LDAP configs
    36fcb3c2 Documentation changes for multiple uarts
    b1de8acf Update instructions for migrating postgres
    0ff08373 LAVA-1053 Results limit does not work for queries
    f9e64aa1 Fix SQL request storm when listing jobs
    2d9c4757 No need to save after get_or_create or Create()
    8988cb36 LAVA-896 fix level in result export
    219fa3dd LAVA-1073 - support for a second UART on a device
    c934bbbe master: fix database reconnection
    4f0e0e62 LAVA-950 set the master identity
    316d77fb Expand the device integration guidance.
  * LAVA-1099 support old and new package versions
  * Fix missing call to install_database
  * Drop copyright references to removed files

 -- Neil Williams <codehelp@debian.org>  Fri, 10 Nov 2017 13:16:01 +0000

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,9 @@
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.4), python-sphinx-bootstrap-theme,
- po-debconf, python-mocker, python-setuptools (>= 3), python-yaml
+ python-mocker, python-setuptools (>= 3), python-yaml
 X-Python-Version: 2.7
-Testsuite: autopkgtest
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://www.linaro.org/projects/test-validation/
 Vcs-Git: https://github.com/Linaro/pkg-lava-server.git
 Vcs-Browser: https://github.com/Linaro/pkg-lava-server
@@ -31,9 +30,9 @@
  libjs-excanvas, libjs-jquery-cookie, libjs-jquery, libjs-jquery-ui,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common,
- lava-dispatcher (>= 2017.7),
+ lava-dispatcher (>= 2017.11),
  ${python:Depends}, ${misc:Depends}
-Recommends: fuse, ntp, lava-coordinator, lava-server-doc
+Recommends: fuse, ntp, lava-coordinator, lava-server-doc,
 Suggests: python-django-hijack, python-django-debug-toolbar
 Description: Linaro Automated Validation Architecture server
  LAVA is a continuous integration system for deploying operating
@@ -48,9 +47,9 @@
  instance as a lava-server virtual host as well as the scheduler
  and dispatcher.
  .
- This package can be configured as the master scheduler or as a
- remote worker, although design limitations mean that it always
- installs a database (unused on a remote worker).
+ This package no longer supports configuration as a
+ remote worker and needs to be removed from existing workers.
+ Workers must only install lava-dispatcher.
 
 Package: lava
 Architecture: all
@@ -59,7 +58,7 @@
  lava-dispatcher, lava-coordinator, lava-dev, lava-tool,
  lavapdu-client, ntp | ntpdate, tftpd-hpa, debootstrap (>= 1.0.86~),
  openssh-client, lxc (>= 1:2.0.6), rsync, bridge-utils, ${misc:Depends}
-Recommends: lavapdu-daemon, linaro-image-tools, schroot,
+Recommends: lavapdu-daemon, schroot,
  android-tools-fsutils | img2simg
 Suggests: vmdebootstrap
 Description: Linaro Automated Validation Architecture metapackage
@@ -82,7 +81,7 @@
  node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
  python | python-all | python-dev | python-all-dev, pep8 | python-pep8,
- python-guestfs, python-sphinx (>= 1.4) | python3-sphinx (>= 1.4), po-debconf,
+ python-guestfs, python-sphinx (>= 1.4) | python3-sphinx (>= 1.4),
  python-mocker, python-nose, python-netifaces, python-setuptools,
  python-sphinx-bootstrap-theme, python-zmq, python-yaml,
  python-voluptuous (>= 0.8.8), docbook-xsl, xsltproc, python-mock,

=== debian/rules ===
--- 
+++ 
@@ -38,8 +38,6 @@
 	cp etc/lava-publisher.init debian/
 	[ ! -f etc/lava-master.init ] || cp etc/lava-master.init debian/
 	python setup.py build
-	make -C doc/ html SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
-	make -C doc/v1/ html SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
 	make -C doc/v2/ html SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
 	make -C man/ man SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
 
@@ -54,9 +52,6 @@
 	dh_installman -plava-server man/_build/man/lava-daemon.1
 	dh_installman -plava-server man/_build/man/lava-master.1
 	[ -f debian/lava-server/usr/bin/lava-server ] || cp debian/lava-server/$(PYTHONDIR)/lava_server/manage.py debian/lava-server/usr/bin/lava-server; chmod a+x debian/lava-server/usr/bin/lava-server
-	# move ssfs script to /usr/sbin
-	mkdir debian/lava-server/usr/sbin/
-	mv debian/lava-server/usr/bin/lava-mount-masterfs debian/lava-server/usr/sbin/
 	# skip unwanted licence file specified in copyright
 	$(RM) debian/lava-server/$(PYTHONDIR)/google_analytics/LICENSE
 	# handle embedded JS
@@ -73,7 +68,6 @@
 	[ ! -f doc/v1/Makefile ] || make -C doc/v1/ clean
 	[ ! -f doc/v2/Makefile ] || make -C doc/v2/ clean
 	[ ! -f man/Makefile ] || make -C man/ clean
-	debconf-updatepo
 
 # get upstream version for get-orig-source target
 VERSION:= $(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' | sed -e 's/\-.*$$//')
